[neon/neon/settings/Neon/release-lts] debian: try to enable flathubby properly with changed wantedby and also try to start it
Harald Sitter
null at kde.org
Fri Oct 9 14:24:29 BST 2020
Git commit 792c977e84e6cd02d7946a62a70181933443bf9d by Harald Sitter.
Committed on 09/10/2020 at 13:23.
Pushed by sitter into branch 'Neon/release-lts'.
try to enable flathubby properly with changed wantedby and also try to start it
starting it has a good chance of actually adding flathub.
there is some concern that this may break iso building but I guess the ||true should
make it fine
M +10 -0 debian/neon-settings-2.postinst
https://invent.kde.org/neon/neon/settings/commit/792c977e84e6cd02d7946a62a70181933443bf9d
diff --git a/debian/neon-settings-2.postinst b/debian/neon-settings-2.postinst
index edcf8fd..a1081be 100644
--- a/debian/neon-settings-2.postinst
+++ b/debian/neon-settings-2.postinst
@@ -62,4 +62,14 @@ mangle_unattended_upgrades
#DEBHELPER#
+# The debhelper stuff doesn't manage to (re)enable services when they change WantedBy. I do not
+# know why nor could I find documentation of this behavior.
+if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+ systemctl --system enable neon-flathub.service || true
+ # Auto-start the service, we likely have internet right now what with
+ # installations happening.
+ systemctl --system start neon-flathub.service || true
+fi
+
exit 0
More information about the Neon-commits
mailing list